Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


[plugin] pente polaire ou pourcentage Empty
Ton bloc notes
Derniers sujets
» [ MATOS INFORM. ] Caméra 360 pour relevé
par yannickniort Hier à 7:21

» [ SKETCHUP plugins ] prix intéressants pendant le black friday
par jerryvento Hier à 7:18

» [ ARCHICAD-OBJETS GDL ] LIBRARY PART MARKER / PARAM-O- Où trouver des tutos ?
par Coulou Ven 25 Nov 2022 - 16:14

» [ ARTLANTIS ] Quoi de neuf
par Yanosh HRDY Ven 25 Nov 2022 - 15:11

» [ SKETCHUP tutos ] APPRENDRE SKETCHUP - TUTO 2 - Supprimer et Ajouter des éléments
par jerryvento Ven 25 Nov 2022 - 13:20

» [ AUTRES LOGICIELS ] Logiciel COVER 3D 2.3 import to Sketchup 2021
par simjoubert Jeu 24 Nov 2022 - 17:38

» [ ARCHICAD-OBJETS GDL ] PARAM-O - Boite à Eau
par Coulou Jeu 24 Nov 2022 - 10:20

» [ ARCHICAD-IMPORT/EXPORT ] IMPORT FICHIER E57 - ECHEC CREATION FICHIER LCF
par Coulou Jeu 24 Nov 2022 - 9:01

» [ UNREAL ENGINE ] mise à jour vers la version 5.1 au top
par tenrev Jeu 24 Nov 2022 - 8:38

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par tenrev Jeu 24 Nov 2022 - 7:56

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Christophe Fortineau Mer 23 Nov 2022 - 22:15

» [ PRESENTATION ] Bonjour à tous.
par jerryvento Mer 23 Nov 2022 - 18:46

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Lun 21 Nov 2022 - 16:19

» [ WIP_ANIMATIONS ] Animations avec Enscape
par tenrev Lun 21 Nov 2022 - 15:07

» [ SKETCHUP Layout ] Symboles Électriques sur Layout
par tenrev Lun 21 Nov 2022 - 13:15

» [ SKETCHUP Layout ] symboles architecturaux layout
par Suncil Lun 21 Nov 2022 - 9:11

» [ SKETCHUP généralité ] Moteur de rendu VRAY ou ENSCAPE
par JDD Dim 20 Nov 2022 - 21:12

» [ SKETCHUP tutos ] Modelisation SketchUp d'un Building du quartier Ginza à Tokyo et Rendu Enscape
par JDD Dim 20 Nov 2022 - 17:30

» [ SKETCHUP généralité ] modèle SketchUp 3D dans la suite office de Microsoft
par simjoubert Sam 19 Nov 2022 - 8:25

» [ ARCHICAD-OBJETS GDL ] PARAM-O la programmation nodale dans Archicad
par archisky Ven 18 Nov 2022 - 12:03

» [ TWINMOTION ] Version 2022.2.2 et MàJ Datasmith
par Pistou Jeu 17 Nov 2022 - 11:52

» [ PHOTOSHOP ] retouche de photos avec Ai et Photoshop
par tenrev Lun 14 Nov 2022 - 7:30

» [ CHAINE TWITCH ] Partie 2 import dans sketchup de quixel via transmutr
par simjoubert Lun 14 Nov 2022 - 7:04

» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Dim 13 Nov 2022 - 16:22

» [ CHAINE TWITCH ] live du 10 nov 2022 14 h - import d'assets Quixel avec Transmutr
par tenrev Jeu 10 Nov 2022 - 15:50

» [ SKETCHUP généralité ] Vlog SketchUp 3D Basecamp Adebeo
par Nicolas Adebeo Jeu 10 Nov 2022 - 8:47

» [ AUTRES LOGICIELS ] Quixel mixer 2021 vient de sortir
par tenrev Mer 9 Nov 2022 - 12:23

» [ SKETCHUP LIVE COMPONENT ] former une courbe avec plusieurs courbes
par tenrev Mer 9 Nov 2022 - 9:06

» [ SKETCHUP LIVE COMPONENT ] Simon on parle de toi
par youyou40 Lun 7 Nov 2022 - 17:36

» [ CHAINE TWITCH ] replay du live 05 nov 2022
par tenrev Dim 6 Nov 2022 - 23:22

» [ ARCHICAD ] [ IFC ] [ ARCHICAD 26 ] [ AC26 ] [ CLASSIFICATION ] [ EVEBIM ]
par Christophe Fortineau Ven 4 Nov 2022 - 13:14

» [ SKETCHUP vray ] Vantage , rendu temps réel avec live link dans sketchup
par tenrev Ven 4 Nov 2022 - 9:01

» [ SKETCHUP LIVE COMPONENT ] Projection sphérique ou origami d'un rectangle en sphere
par simjoubert Jeu 3 Nov 2022 - 15:34

» [ SKETCHUP LIVE COMPONENT ] Mur Courbe avec Projection cylindrique de matériaux
par tenrev Jeu 3 Nov 2022 - 15:27

» [ CHAINE TWITCH ] live à 13h30 du 31/10/2022
par tenrev Mer 2 Nov 2022 - 16:28

Sondage

Chaine Twitch

[plugin] pente polaire ou pourcentage Poll_c1019%[plugin] pente polaire ou pourcentage Poll_c10 19% [ 6 ]
[plugin] pente polaire ou pourcentage Poll_c1013%[plugin] pente polaire ou pourcentage Poll_c10 13% [ 4 ]
[plugin] pente polaire ou pourcentage Poll_c103%[plugin] pente polaire ou pourcentage Poll_c10 3% [ 1 ]
[plugin] pente polaire ou pourcentage Poll_c1010%[plugin] pente polaire ou pourcentage Poll_c10 10% [ 3 ]
[plugin] pente polaire ou pourcentage Poll_c106%[plugin] pente polaire ou pourcentage Poll_c10 6% [ 2 ]
[plugin] pente polaire ou pourcentage Poll_c1010%[plugin] pente polaire ou pourcentage Poll_c10 10% [ 3 ]
[plugin] pente polaire ou pourcentage Poll_c1032%[plugin] pente polaire ou pourcentage Poll_c10 32% [ 10 ]
[plugin] pente polaire ou pourcentage Poll_c106%[plugin] pente polaire ou pourcentage Poll_c10 6% [ 2 ]

Total des votes : 31

chaine sketchup.tv

[plugin] pente polaire ou pourcentage

Voir le sujet précédent Voir le sujet suivant Aller en bas

avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 6 Mar 2011 - 9:41

Bonjour,

Sur un autre forum, j'ai tenté de faire une commande permettant de saisir des lignes en donnant
longueur< angle ou bien longueur< coefficient%
C'est plus ou moins bien réussi, mais je vous la soumets en test, cela peut intéresser certains, et je sais qu'il y a ici un "scripteur" qui pourra me donner un avis sur les problèmes.

video démo et téléchargement, lire avant d'utiliser


-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 15:20

Salut,

A première vue, ton problème semble résolvable.
Sauf que je n'ai pas bien compris à quoi peut servir de gérer une pente 2D dans un espace 3D.

Je viens de me connecter à ton site mais le script que tu laisses est en rbs. Je ne peux donc le lire et t'aider pour ton problème.

Envoie-moi le rb si tu veux que je t'aide.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Sam 12 Mar 2011 - 19:10

Bonjour,

Merci tout d'abord.
Je pensais trouver une solution mais ce n'est pas le cas.

A quoi cela sert ?
Je ne sais pas, j'ai simplement voulu répondre à quelqu'un qui exprimait ce besoin, juste pour pouvoir me confronter à cela.

J'ai rajouté le fichier.rb au même endroit.

PS:je n'ai pas trouvé comment insérer un fichier joint ici.

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 22:28

Re,

Va pour l'exercice de style, alors! rigole

Evidemment, comme tu t'en doutes, tout se passe dans la définition "onUserText".

Je pense que tu préfèreras corriger toi-même ton script alors je te fais 3 remarques pour te guider:

a) la commande "begin, rescue, end" est une commande à rattrapage d'erreur.
cad: on écrit
Code:
begin
  commandes normales du script
  test quelconque
  si le test est ok, on continue
  commandes normales du script
  re-test quelconque
  si le re-test est ok, on continue
  etc...
rescue
  ici les commandes en cas d'erreur du test ou du re-test
end  # fin du begin
Comme tu as écrit tes commandes dans la partie rescue, tu as forcément l'erreur de ne pouvoir transformer en length (Console Ruby).

b) le positionnement:
Code:
if @ip1.position.x!=0 and @ip1.position.y!=0
vec = Geom::Vector3d.new a,b,0
end
if @ip1.position.x!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new a,0,b
end
if @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
if @ip1.position.x!=0 and @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
Comme tu travailles en 2D, tu es obligé de gérer les axes.
Vu comment tu as écrit ton code, il t'est interdit de commencer le traçage d'une ligne sur un des axes => erreur de création de "vec".
Il serait peut-être plus judicieux de forcer la vue sur face ou top ainsi que l'affichage en "projection parallèle" et éliminer toutes ces lignes de positionnement devenues inutiles.

c) la gestion de la valeur VCB:
La commande split est bien utilisée.
Mais tu peux fortement simplifier le décodage du % dans le style :
Code:
degres = (casse[1].to_i.modulo(800) * 0.45).to_f

Tu peux aussi gérer l'absence du "<" en suivant le fonctionnement normal du linetool.rb.

Voili, voilou, je reste à ta disposition si mes explications ne sont pas assez claires.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 13 Mar 2011 - 8:44

Bonjour,

C'est vraiment "sympa" de t'intéresser à mon cas (d'école puisque non indispensable).
Je regarde de plus près en tenant compte de tes remarques et je tente de les mettre en application.
Je me permettrai d'abuser encore un peu pour refaire le point après...

A plus.

yvon

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum